moDraw.infoHelpBox = {};

function moDraw.infoHelpBox:setOpenDraw()
	local helpTyp = moSetGetOverlays.infoHelpBox.help.typ;
	local infoTyp = moSetGetOverlays.infoHelpBox.info.typ;
	local up = false;
	local left = false;
	if string.len(moSetGetOverlays.infoHelpBox.help.txt) > 0 then
		if helpTyp == 0 and HUDPopupMessage.currentMessage == nil and #g_currentMission.hud.popupMessage.pendingMessages <= 0 then
			--if MultiOverlayV3.timers["helpBox"] == nil then
				--moSetGetExtras:addTimer( {delay=moSetGetOverlays.infoHelpBox.help.timer, name="helpBox", repeatable=1, action=nil} ) --moDraw.infoHelpBox.resetHelp
				g_currentMission.hud:showInGameMessage(tostring(MultiOverlayV3.metadata.title).. " Help Text", tostring(moSetGetOverlays.infoHelpBox.help.txt), moSetGetOverlays.infoHelpBox.help.lsTimer, nil, moDraw.infoHelpBox.resetHelp);
				HUDPopupMessage.COLOR.TEXT = moSetGetOverlays.infoHelpBox.help.txtColor;
			--end;
		end;
	end;
	if string.len(moSetGetOverlays.infoHelpBox.info.txt) > 0 then
		if infoTyp == 0 and HUDPopupMessage.currentMessage == nil and #g_currentMission.hud.popupMessage.pendingMessages <= 0 then
			--if MultiOverlayV3.timers["infoBox"] == nil then 
				--moSetGetExtras:addTimer( {delay=moSetGetOverlays.infoHelpBox.info.timer, name="infoBox", repeatable=1, action=nil} ) --moDraw.infoHelpBox.resetInfo
				g_currentMission.hud:showInGameMessage(tostring(MultiOverlayV3.metadata.title).. " Info Text", tostring(moSetGetOverlays.infoHelpBox.info.txt), moSetGetOverlays.infoHelpBox.info.lsTimer, nil, moDraw.infoHelpBox.resetInfo);
				HUDPopupMessage.COLOR.TEXT = moSetGetOverlays.infoHelpBox.info.txtColor;	
			--end;
		end;
	end;
end;

function moDraw.infoHelpBox.resetInfo()
	moSetGetOverlays.infoHelpBox.info.txt = "";
	HUDPopupMessage.COLOR.TEXT = moSetGetOverlays.infoHelpBox.info.defaultColor;	
	g_currentMission.hud.popupMessage.pendingMessages = {};
	moSetGetOverlays.infoHelpBox.info = {txt="", typ=0, txtColor=moColors.intern["yellow"], posX=0, posY=0, width=0, height=0, timer=1, bounds={1, 1}, lsTimer=-1, defaultColor=HUDPopupMessage.COLOR.TEXT};
end;

function moDraw.infoHelpBox.resetHelp()
	moSetGetOverlays.infoHelpBox.help.txt = "";
	HUDPopupMessage.COLOR.TEXT = moSetGetOverlays.infoHelpBox.help.defaultColor;	
	g_currentMission.hud.popupMessage.pendingMessages = {};
	moSetGetOverlays.infoHelpBox.help = {txt="", typ=0, txtColor=moColors.intern["yellow"], posX=0, posY=0, width=0, height=0, timer=1, bounds={1, 1}, lsTimer=-1, defaultColor=HUDPopupMessage.COLOR.TEXT};
end;

function moDraw.infoHelpBox.reset()
	moDraw.infoHelpBox.resetInfo();
	moDraw.infoHelpBox.resetHelp();
end;